## org.hamcrest
Class MatcherAssert

    java.lang.Object
      org.hamcrest.MatcherAssert

    public class MatcherAssert

extends Object

Constructor Summary
`MatcherAssert()`

Method Summary
`static void` `assertThat(String reason, boolean assertion)`

`static

`<T> void`

`

`assertThat(String reason, T actual, Matcher<? super T> matcher)`

`static

`<T> void`

`

`assertThat(T actual, Matcher<? super T> matcher)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MatcherAssert

    public MatcherAssert()

Method Detail

### assertThat

    public static <T> void assertThat(T actual,
                                      Matcher<? super T> matcher)

### assertThat

    public static <T> void assertThat(String reason,
                                      T actual,
                                      Matcher<? super T> matcher)

### assertThat

    public static void assertThat(String reason,
                                  boolean assertion)

Copyright © 2002–2020 JUnit. All rights reserved.